UL(1)

NAME
ul - do underlining

SYNOPSIS
ul [-i] [-t terminal] [name ...]

DESCRIPTION
ul reads the named files (or standard input if none are given) and translates occurrences of underscores to the sequence which indicates underlining for the terminal in use, as specified by the environment variable TERM. The file /usr/share/misc/terminfo is read to determine the appropriate sequences for underlining. If the terminal is incapable of underlining, but is capable of a standout mode then that is used instead. If the terminal can overstrike, or handles underlining automatically, ul degenerates to cat(1). If the terminal cannot underline, underlining is ignored.

The following options are available:

-i  Underlining is indicated by a separate line containing appropriate dashes `-'; this is useful when you want to look at the underlining which is present in an nroff(1) output stream on a crt-terminal.

-t terminal
    Overrides the terminal type specified in the environment with terminal.

ENVIRONMENT
The following environment variable is used:

TERM
    The TERM variable is used to relate a tty device with its device capability description (see terminfo(5)). TERM is set at login time, either by the default terminal type specified in /etc/ttys or as set during the login process by the user in their login file (see for example csh(1)'s setenv).

SEE ALSO
colcrt(1), man(1), nroff(1)

HISTORY
The ul command appeared in 3.0BSD.

BUGS
nroff(1) usually outputs a series of backspaces and underlines intermixed with the text to indicate underlining. No attempt is made to optimize the backward motion.